//go:build windows && (amd64 || arm64 || ppc64 || ppc64le || s390x || mips64 || mips64le)

package yu_curl

import (
	_ "embed"
	yu_deflate "gogs.qqck.cn/s/tools/deflate"
	yu_file "gogs.qqck.cn/s/tools/file"
	"os"
)

// dll下载地址：https://curl.se/windows/
// curl version: 8.4.0
// Build: 8.4.0_4
// Date: 2023-10-11

//go:embed api_windows_x64.dll.en
var dll_raw []byte

func init() {
	j_path := os.TempDir() + "libcurlx64.dll"
	yu_file.Write(j_path, yu_deflate.DeflateDe(dll_raw))
	loadDLL(j_path)
}
